Trimble
PDF eksport RSS - Siste nytt


Tegne elementer med fast lengde i AutoCAD

Ofte bygger man støyskjermer og andre ting av elementer med fast lengde. Her beskrives fler måter å lage en linje bestående av f.eks. 3m lange element.

LISP-rutine

Kopier denne teksten inn i en fil du kaller f.eks. “flp.lsp” (det viktige er at den slutter med .lsp).

(DEFUN C:FLP (/ CMDE PLPT PLAR PLLT PLS)
 (PROMPT "\n*FIXED LENGTH POLYLINE* ")
 (SETQ CMDE (GETVAR "CMDECHO"))
 (SETVAR "CMDECHO" 0)
 (IF (= PPLL NIL) (SETQ PPLL 1.0)) 
 (IF (= PLL NIL) (SETQ PLL 1.0)) 
 (SETQ PLPT (GETPOINT "\nSpecify start point: "))
 (COMMAND "PLINE" PLPT)
 (WHILE (> (GETVAR "CMDACTIVE") 0)
  (PROGN
   (INITGET "Length")
   (SETQ PLAR (GETANGLE PLPT "\nNext alignment point or angle [Length]: "))
   (IF (AND (/= PLAR NIL) (= PLAR "Length")) 
    (PROGN
     (PROMPT (STRCAT "\nEnter fixed length<" (RTOS PPLL) ">: "))
     (SETQ PLLT (GETDIST))
     (IF (= PLLT NIL) (SETQ PLL PPLL) (PROGN (SETQ PLL PLLT) (SETQ PPLL PLL)))
    );END PROGN
   );END IF
   (IF (AND (/= PLAR NIL) (/= PLAR "Length"))
    (PROGN
	 (SETQ PLAR (+ PLAR (/ PI 2.0)))
     (SETQ PLPT (POLAR PLPT PLAR PLL))
	 (COMMAND PLPT)
    );END PROGN
   );END IF
   (IF (= PLAR NIL) (COMMAND ""))
  );END PROGN
 );END WHILE
 (SETVAR "CMDECHO" CMDE)
 (PRINC)
);END FLP

Dra så denne fila inn i AutoCAD-tegningen. Da blir kommandoen “FLP” definert. Kjør denne. Da kan du velge første punkt, deretter sette lengden ved å trykke L eller bare klikke videre for å legge til fler elementer av samme lengde.

AutoCADs funksjonalitet for å angi koordinater

Man kan bruke såkalte polare koordinater. Se: https://autocadtips1.com/2012/08/24/intro-to-coordinates/ for nærmere beskrivelse.

Kort fortalt, er det enklest å slå på “Dynamic input” (knapp nede til venstre eller F12), da er polare koordinater standard. For å tegne en linje med 3m element, kall tegnefunksjonen (f.eks. PLINE), klikk første punkt, skriv så 3< og flytt kursoren så linja for neste element havner der den skal. Skriv 3< på nytt og fortsett til du har definert alle punkt. Til slutt trykker du <Enter>.

Sette sammen linjestykker

Tegn en linje som er 3m lang med metoden over. Så kopierer du denne så mange ganger som du trenger elementer. Flytt så ett og ett element med snap så det henger sammen med det forrige og roter det så om dette punktet til dit det skal. Til slutt kan du slå sammen alt til en linje med funksjonen “Merge selected polylines into one” i nedtrekksdelen av panelet “Polyline” i Novapoint Basis ribbon.

Hvordan endre i ettertid uten å endre lengden på elementene?

Hvis du har et første utkast til linje med fastlengde elementer, men vil flytte litt på ting, må du passe på så du ikke endrer lengden på noe element. Den enkleste måten å sikre det på, er å kjøre “explode”, som vil dele opp linja i biter. Så kan du flytte/rotere bitene og skjøte sammen igjen alt til slutt.

Sist modifisert: 2016/04/22 13:58 av vn_no_khu